## Qu'est-ce que l'informatique libre

- Les 4 Libertés du logiciel libre, adaptées:
  - **Utilisation** sans restriction
  - **Étude** du code et des outils de conception
  - Possibilité de **modifier**, d'adapter et de combiner sans restriction
  - Droit de **partager** notre travail (sous les mêmes conditions ou non)

## Le cadre légal

- Gouverné par des licences:
  - **Consentement** explicite
  - Bien **collectif**
  - Préserve le **droit moral** d'auteur (reconnaissance) par un ajout de conditions

## Qu'est-ce qui est concerné

- **Code** informatique et logiciels
- Oeuvres **artistiques** et **littéraires**
- Bases de **données**
- **Plans** d'objets physiques et **recettes**

## Quelques concepts, statistiques et études

Portrait d'une communauté d'informatique libre

- De **partout dans le monde**
- Mettre à profit une **expertise** comme:
  - Utilisateurs.trices
  - Contributeurs.trices
  - Responsables de produit
- Basée **sur le web** (GitHub)

**Attente**: aussi diversifiée que l'ensemble des utilisateurs du web

Mais ce n'est pas le cas ...

## Git contributions

![](git_prodoriented_flow.png)

## Favoriser les contributions

Pour favoriser les contributions, il faut:

- Politique de contribution **claire** (fichier README.md)
- **Accepter l'erreur**, ne pas donner l'impression qu'on va se faire crier après
- Proposer des **tâches non-techniques** aux nouveaux utilisateurs.trices

- Éviter les **comportements élitistes** et violents:
  - Ex: [Linus Torvalds c. Sarah Sharp](https://www.theregister.com/2015/10/06/linix_kernel_dev_who_asked_linus_torvalds_to_stop_swearing_quits_over_swearing/)

## Sarah Sharp, responsable des pilotes USB 3.0 dans Linux

I finally realized that I could no longer contribute to a community where I was **technically respected**, but I **could not ask for personal respect**.

I did not want to work professionally with people who were allowed to **get away with subtle sexist or homophobic jokes**. 

I feel powerless in a community that had a “Code of Conflict” **without a specific list of behaviors to avoid** and a **community with no teeth** to enforce it.

## Biais fondamental: Méritocratie

**Meritocracy** has consistently shown itself to **mainly benefit those with privilege**, to the exclusion of underrepresented people in technology

<https://postmeritocracy.org/>

## Diversité et performance

![](impact of diversity on team performance.png)

## Premier enjeu: la diversité de genre

Selon GitHub en 2017, **95% de contributeurs de genre masculin**.

Selon le Bureau of Labor Statistics: <https://www.bls.gov/cps/cpsaat11.htm>, 

- Occupations informatique et mathématique: 26.2% de femmes
- Développeuses: 19.7%

## Participation

![](da1.jpeg)

## Rejet et harcèlement

Cette situation problématique se produit à répétition dans certaines communautés

- Quand il y a une femme dans une équipe, elle est soit **ignorée ou harcelée**, soit elle devient l'**image publique** (token) du groupe. 
- Quand il y a une femme dans une équipe, elle est soit **ignorée ou harcelée**, soit elle devient l'**image publique** (token) du groupe. 

## Premier cas: Katie Bouman - Token féminin

![](hoyo.jpg)

- [Reasons for lack of diversity in open source: The case Katie Bouman](https://free-and-open-technologies.github.io/papers/Wang_and_Weinberger_-_Reasons_for_lack_of_diversity_of_open_source_(2020).pdf): Photo du trou noir. 

## Deuxième cas: Coraline Ada Ehmke - Transphobie

> What is your gender?" The multiple-choice options were "Male", "Female", and "Transgender

![](th.jpeg)

- [My year at GitHub](https://where.coraline.codes/blog/my-year-at-github/)
- [Contributor Covenant](https://www.contributor-covenant.org/>)

## Deuxième enjeu: diversité ethnique

![](Screenshot_20220628_004649.png)

## Deuxième enjeu: diversité ethnique

- Sur-représentation des groupes d'origine asiatique
- Sous-représentation des groupes afro-américains et latinos

Source: <https://www.bls.gov/cps/cpsaat11.htm>

## Initiative: Inclusive naming

- Abort, abortion -> User-Initiated Termination, Force quit
- Whitelist, blacklist -> allowlist/denylist
- Master, slave -> Primary/secondary
- Master -> main